<html>
<head>
	<title>Check orders</title>
</head>
<body>
<h2>Please,write an id of order you want to show</h2>
	<form method="POST" action="getorder">
		<label>Enter id</label><br>
		<input type="text" name="id" /><br><br>
		<input type="submit" value="Submit" />
	</form>

    <label> Order id: {{.Order_uid}} </label> <br>
    <label> Track number: {{.Track_number}} </label> <br>
    <label> Entry: {{.Entry}} </label> <br>

    <label> Locale: {{.Locale}} </label> <br>
    <label> Internal signature: {{.Internal_signature}} </label> <br>
    <label> Customer id: {{.Customer_id}} </label> <br>
    <label> Delivery service: {{.Delivery_service}} </label> <br>
    <label> Shard key: {{.Shardkey}} </label> <br>
    <label> Sm id: {{.Sm_id}} </label> <br>
    <label> Date created: {{.Date_created}} </label> <br>
    <label> Oof shard: {{.Oof_shard}} </label> <br>

    <h2> Delivery: </h2>
        <label> &emsp; Name: {{.Delivery.Name}}</label> <br>
        <label> &emsp; Phone: {{.Delivery.Phone}}</label> <br>
        <label> &emsp; Zip: {{.Delivery.Zip}}</label> <br>
        <label> &emsp; City: {{.Delivery.City}}</label> <br>
        <label> &emsp; Address: {{.Delivery.Address}}</label> <br>
        <label> &emsp; Region: {{.Delivery.Region}}</label> <br>
        <label> &emsp; E-mail: {{.Delivery.Email}}</label> <br>

    <h2> Payment: </h2>
        <label> &emsp; Transaction: {{.Payment.Transaction}}</label> <br>
        <label> &emsp; Request_id: {{.Payment.Request_id}}</label> <br>
        <label> &emsp; Currency: {{.Payment.Currency}}</label> <br>
        <label> &emsp; Provider: {{.Payment.Provider}}</label> <br>
        <label> &emsp; Amount: {{.Payment.Amount}}</label> <br>
        <label> &emsp; Payment_dt: {{.Payment.Payment_dt}}</label> <br>
        <label> &emsp; Bank: {{.Payment.Bank}}</labelp> <br>
        <label> &emsp; Delivery_cost: {{.Payment.Delivery_cost}}</label> <br>
        <label> &emsp; Goods_total: {{.Payment.Goods_total}}</label> <br>
        <label> &emsp; Custom_fee: {{.Payment.Custom_fee}}</labelp> <br>
    
    <h2> Items: </h2>
        {{range .Items}}
        --- <br>
        <label> &emsp; Chrt id: {{.Chrt_id}}</label> <br>
        <label> &emsp; Track number: {{.Track_number}}</label> <br>
        <label> &emsp; Price: {{.Price}}</label> <br>
        <label> &emsp; Rid: {{.Rid}}</label> <br>
        <label> &emsp; Name: {{.Name}}</label> <br>
        <label> &emsp; Sale: {{.Sale}}%</label> <br>
        <label> &emsp; Size: {{.Size}}</label> <br>
        <label> &emsp; Total_price: {{.Total_price}}</label> <br>
        <label> &emsp; Nm_id: {{.Nm_id}}</label> <br>
        <label> &emsp; Brand: {{.Brand}}</label> <br>
        <label> &emsp; Status: {{.Status}}</label> <br>
        --- <br>
        {{end}}
</body>
</html>